Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 971459 - Can't Authenticate Add printer via SAMBA in system-config-printer
Can't Authenticate Add printer via SAMBA in system-config-printer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 11:00 EDT by Dale Turner
Modified: 2013-06-13 02:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.1-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:36:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dale Turner 2013-06-06 11:00:48 EDT
Description of problem:
Attempting to add a printer via samba that is attached to a Windows computer on my LAN. I can browse to find the computer, but when asked for authentication, the OK and Cancel buttons are unresponsive, and I am unable to add said printer.
My LAN is identical to when it worked in the past, the only difference is I upgraded my system from F18 to F19.

Version-Release number of selected component (if applicable):
system-config-printer-libs-1.4.1-3.fc19.noarch
system-config-printer-1.4.1-3.fc19.x86_64
system-config-printer-udev-1.4.1-3.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. start system-config-printer
2. select 'add'
3. select 'Windows Printer via SAMBA'
4. select 'browse'
5. Browse through WORKGROUP then computer name
6. Authentication window appears but does not function as described above.
7. I must press 'Alt-F4' to close it.

Actual results:
Unable to add samba printer

Expected results:
Ability to add samba printer

Additional info:
** (system-config-printer.py:7539): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist
Caught non-fatal exception.  Traceback:
File "/usr/share/system-config-printer/newprinter.py", line 2310, in on_tvSMBBrowser_row_expanded
    while smbc_auth.perform_authentication () > 0:
File "/usr/share/system-config-printer/pysmb.py", line 148, in perform_authentication
    Gdk.pointer_grab (d.get_window(), True)
File "/usr/lib64/python2.7/site-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
TypeError: pointer_grab() takes exactly 6 arguments (2 given)
Continuing anyway..
Comment 1 Tim Waugh 2013-06-06 11:51:43 EDT
Fixed upstream in commit 882d753.
Comment 2 Fedora Update System 2013-06-07 12:29:14 EDT
system-config-printer-1.4.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-6.fc19
Comment 3 Fedora Update System 2013-06-07 22:57:00 EDT
Package system-config-printer-1.4.1-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10351/system-config-printer-1.4.1-6.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-13 02:36:29 EDT
system-config-printer-1.4.1-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.